const {ccclass, property} = cc._decorator;

@ccclass
export default class TrackTarget extends cc.Component {

    @property(cc.Node)
    target: cc.Node = null;

    @property(cc.Camera)
    camera: cc.Camera = null;

    private _canvas: cc.Node;

    start () {
        this._canvas = cc.find("Canvas");
    }

    update (dt) {
        const position: cc.Vec3 = this.camera.getWorldToScreenPoint(this.target.position);
        this.node.setPosition(this._canvas.convertToNodeSpaceAR(new cc.Vec2(position.x, position.y)));
    }
}
